.scroll-to-top.is-bottom,
.scroll-to-top:hover {
  background: var(--color-main);
}
.scroll-to-top span:after {
  right: 0;
  -webkit-transform: skewY(35deg);
  -ms-transform: skewY(35deg);
  -moz-transform: skewY(35deg);
  -o-transform: skewY(35deg);
  transform: skewY(35deg);
}
.scroll-to-top.show {
  opacity: 1;
  visibility: visible;
  bottom: 40px;
}
.scroll-to-top {
  --size: 50px;
  opacity: 0;
  visibility: hidden;
  position: fixed;
  right: 15px;
  bottom: -110px;
  z-index: 999;
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  align-items: center;
  width: var(--size);
  height: var(--size);
  border: 2px solid var(--color-main);
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  background-color: transparent;
  -webkit-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}
.scroll-to-top span:nth-child(1) {
  top: 42%;
}
.scroll-to-top span {
  position: absolute;
  left: 32%;
  width: 36%;
  height: 2px;
}
.scroll-to-top.is-bottom span:before,
.scroll-to-top.is-bottom span:after,
.scroll-to-top:hover span:before,
.scroll-to-top:hover span:after {
  background-color: #fff;
}
.scroll-to-top span:before {
  left: 0;
  -webkit-transform: skewY(-35deg);
  -ms-transform: skewY(-35deg);
  -moz-transform: skewY(-35deg);
  -o-transform: skewY(-35deg);
  transform: skewY(-35deg);
}
.scroll-to-top span:after,
.scroll-to-top span:before {
  content: "";
  position: absolute;
  top: 0;
  width: 50%;
  height: 100%;
  background-color: var(--color-main);
  -webkit-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  -moz-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}
.scroll-to-top span:nth-child(2) {
  -webkit-transform: scale(0.6);
  -ms-transform: scale(0.6);
  -moz-transform: scale(0.6);
  -o-transform: scale(0.6);
  transform: scale(0.6);
  top: 55%;
}
.scroll-to-top:hover span:nth-child(1) {
  -webkit-animation: floatingArrow 0.7s ease-out 0s infinite forwards;
  -moz-animation: floatingArrow 0.7s ease-out 0s infinite forwards;
  -o-animation: floatingArrow 0.7s ease-out 0s infinite forwards;
  animation: floatingArrow 0.7s ease-out 0s infinite forwards;
}
.scroll-to-top:hover span:nth-child(2) {
  -webkit-animation: floatingArrow 0.7s ease-out 0.3s infinite forwards;
  -moz-animation: floatingArrow 0.7s ease-out 0.3s infinite forwards;
  -o-animation: floatingArrow 0.7s ease-out 0.3s infinite forwards;
  animation: floatingArrow 0.7s ease-out 0.3s infinite forwards;
}
@keyframes floatingArrow {
  25% {
    opacity: 1;
  }
  33.3% {
    opacity: 0.7;
    -webkit-transform: translateY(-3px);
    -moz-transform: translateY(-3px);
    -o-transform: translateY(-3px);
    transform: translateY(-3px);
  }
  66.6% {
    opacity: 0.4;
    -webkit-transform: translateY(-7px);
    -moz-transform: translateY(-7px);
    -o-transform: translateY(-7px);
    transform: translateY(-7px);
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(-11px) scale(0.7);
    -moz-transform: translateY(-11px) scale(0.7);
    -o-transform: translateY(-11px) scale(0.7);
    transform: translateY(-11px) scale(0.7);
  }
}